Create Deduction Summary Report

Create a summary report outlining deductions within a given timeframe

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Generates a report summarizing deductions within a given start and end date period.

This endpoint will return a job_id instead of the raw data itself. As the data returned from this endpoint can be large, we utilize a job queue to process this data instead of an immediate synchronous response. Once the job status is marked as complete, the report can be downloaded using the Download Report endpoint.

Returns

attributetypedescription
successbooleanResponse status
dataobjectjob_id for Deductions Summary Report
errorsarrayContains a list of error objects which consists of:
message: Error message
code: Error code as described in Error codes
Body Params
string
required

ID of the company.

string
required
Defaults to csv

The type of format this report can be downloaded as. Deduction Summary currently only supports "csv".

date
required

The start check date this report should retrieve deductions for. Date should be in ISO-8601 format (YYYY-MM-DD).

date
required

The end check date this report should retrieve deductions for. Date should be in ISO-8601 format (YYYY-MM-DD).

customer_account_ids
array of strings

Filter by customer account(s) (Early Access)

customer_account_ids
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json